osl::eval::ml::LanceEffectPieceKingRelative Class Reference

`#include <minorPiece.h>`

## Public Types

enum | { ONE_DIM = 9792 , DIM = ONE_DIM * EvalStages }

## Static Public Member Functions

static void | setUp (const Weights &weights)
static MultiInt | eval (const NumEffectState &state)

## Static Private Member Functions

static int | index (Player p, Square pos, Square king, PtypeO ptypeO, bool attack)

## Static Private Attributes

static CArray< MultiInt, 9792 > | table

## Detailed Description

Definition at line 1516 of file minorPiece.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 1519 of file minorPiece.h.

## Member Function Documentation

## eval()

MultiInt osl::eval::ml::LanceEffectPieceKingRelative::eval | ( | const NumEffectState & | state | ) |

static

Definition at line 1979 of file minorPiece.cc.

References osl::alt(), osl::BLACK, osl::D, index(), osl::Piece::isOnBoard(), osl::Square::isOnBoard(), osl::Piece::isPromoted(), osl::SimpleState::kingSquare(), osl::NumEffectState::mobilityOf(), osl::Piece::number(), osl::Piece::owner(), osl::SimpleState::pieceAt(), osl::SimpleState::pieceOf(), osl::Piece::ptypeO(), osl::PTYPEO_MIN, table, and osl::U.

Referenced by osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval(), and osl::eval::ml::OpenMidEndingEval::updateSub().

## index()

int osl::eval::ml::LanceEffectPieceKingRelative::index | ( | Player | p,
|  | Square | pos,
|  | Square | king,
|  | PtypeO | ptypeO,
|  | bool | attack )

inline static private

Definition at line 1523 of file minorPiece.h.

References osl::alt(), osl::BLACK, osl::PTYPEO_MIN, osl::WHITE, osl::Square::x(), and osl::Square::y().

Referenced by eval().

## setUp()

void osl::eval::ml::LanceEffectPieceKingRelative::setUp | ( | const Weights & | weights | ) |

static

Definition at line 1966 of file minorPiece.cc.

References osl::NStages, ONE_DIM, table, and osl::eval::ml::Weights::value().

## Member Data Documentation

## table

osl::CArray< MultiInt, 9792 > osl::eval::ml::LanceEffectPieceKingRelative::table

static private

Definition at line 1535 of file minorPiece.h.

Referenced by eval(), and setUp().

The documentation for this class was generated from the following files:

- minorPiece.h
- minorPiece.cc